Ruby - Bug #4987

test/rake doesn't work at all
07/07/2011 10:33 PM - nobu (Nobuyoshi Nakada)

Status: Closed

Priority: Normal

Assignee: drbrain (Eric Hodel)

Target version:

ruby -v: r32435 Backport:
Description

It just emits error messages.
test/rake/test_rake.rb: cannot load such file -- flexmock/test_unit_integration

Why it depends on non-existent library?

Associated revisions

Revision c93ed570 - 07/23/2011 05:38 AM - drbrain (Eric Hodel)

¢ test/rake*: Remove dependencies on flexmock and session gems.
[Ruby 1.9 - Bug #4987]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@32636 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision 1a4df686 - 07/23/2011 06:05 AM - drbrain (Eric Hodel)

¢ test/rake*: Remove dependencies on flexmock and session gems.
[Ruby 1.9 - Bug #4987]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_1_9 3@32637 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 07/08/2011 05:20 AM - drbrain (Eric Hodel)

In the rake repository the tests depend upon the flexmock gem. Installing the gem will allow the tests to run.

| won't be able to remove this testing dependency until after RubyKaigi.

#2 - 07/23/2011 02:38 PM - drbrain (Eric Hodel)
- Status changed from Assigned to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r32636.
Nobuyoshi, thank you for reporting this issue.
Your contribution to Ruby is greatly appreciated.
May Ruby be with you.

e test/rake*: Remove dependencies on flexmock and session gems.
[Ruby 1.9 - Bug #4987]
